Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class Cmp

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.expr.Arr
                  org.basex.query.xpath.expr.Cmp

Direct Known Subclasses:
  Equality, Relational

    public abstract class Cmp

extends Arr

Abstract Compare Expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`Comp` | `type` Expression Type.

Fields inherited from class org.basex.query.xpath.expr.Arr
`expr`

Constructor Summary
`Cmp(Expr e1, Expr e2)` Constructor.

Method Summary
`Expr` | `comp(XPContext ctx)` Optimizes the expression.
`Bln` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`boolean` | `standard()` Checks if this expression has a location path and Item as arguments.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xpath.expr.Arr
`sameAs, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public Comp type

  Expression Type.

Constructor Detail

### Cmp

    public Cmp(Expr e1,
               Expr e2)

  Constructor.

  Parameters:
    `e1` - first expression
    `e2` - second expression to compare with first

Method Detail

### comp

    public Expr comp(XPContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes the expression.

  Overrides:
    `comp` in class `Arr`
  Parameters:
    `ctx` - expression context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - evaluation exception

### eval

    public final Bln eval(XPContext ctx)
                   throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `QueryException` - evaluation exception

### standard

    public final boolean standard()

  Checks if this expression has a location path and Item as arguments.

  Returns:
    result of check

### toString

    public final java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `Arr`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD